/* vsort.h -- VMS sorting declarations

	Copyright (c) 2002, Illinois Institute of Technology
	X-GEN: Crystallographic Data Processing Software
	author: Andrew J Howard, BCPS Department, IIT
 See the file "LICENSE" for information on usage and redistribution
	of this file, and for a DISCLAIMER OF ALL WARRANTIES.

Change record:
	21 Jan 2004: license message inserted
	 5 Jan 2003: reorganized source-file header
	25 Mar 2002: removed MSI attachments
	21 Apr 1994: initial X-GEN version

   Purpose: preprocessor defines for the VMS sort routines.
   Cross References:

********************************************************************/
#ifndef vsort_h
#define vsort_h	1
#ifdef VMS
#ifdef VAX11C		/* pre-"Open-VMS" version */
#include	ssdef
#include	descrip
#include	fab
#else
#include	<ssdef.h>
#include	<descrip.h>
#include	<fab.h>
#endif
#endif	/* VMS */
#ifndef BUFSIZ
#ifdef	VAX11C
#include	stdio
#else
#include	<stdio.h>
#endif
#endif

#define		MAX_KEYS	255
#define		SO_ASCENDING	0
#define		SO_DESCENDING	1

typedef struct {
		short	k_type;
		short	k_order;
		short	k_offset;
		short	k_length;
		} SORT_KEY;

typedef struct {
		short		kb_nkeys;
		SORT_KEY	kb_key[MAX_KEYS];
		} KEY_BUFFER;
#ifdef VMS
extern int	SOR$PASS_FILES(), SOR$BEGIN_SORT(), SOR$RELEASE_REC();
extern int	SOR$SORT_MERGE(), SOR$RETURN_REC(), SOR$END_SORT();
#endif
extern unsigned	strlen(char *str);
 
#endif /* vsort_h */

/* end of vsort.h */
