/* xgentools.c -- wrapper for secondary tools in X-GEN

	Copyright (c) 2002, Illinois Institute of Technology
	X-GEN: Crystallographic Data Processing Software
	author: Andrew J Howard, BCPS Department, IIT
 See the file "LICENSE" for information on usage and redistribution
	of this file, and for a DISCLAIMER OF ALL WARRANTIES.

Change record:
	 9 Jun 2007: binucamain added
	27 Dec 2006: tinvmain,tpolymain added
	20 Dec 2006: add spreaduca and tspline functionalities
	 5 Dec 2006: add tnames for printing out spacegroup names
	 7 Jun 2006: add splcvt
	24 Jun 2005: ix2uca and sie2c replaced by p4pconvert
	 6 May 2005: new code, based on xgen.c.

   Purpose: mainline for xgentools.
   Cross references: all the non-standard X-GEN commands
*************************************************************************/
#include	"xgen.h"

extern int main(int argc, char *argv[]);
	/* X-GEN top-level tool routines */
extern int	absordmain(int ac, char *av[]);
extern int	bigsigmain(int ac, char *av[]);
extern int	binucamain(int ac, char *av[]);
extern int	bravaismain(int ac, char *av[]);
extern int	bruheadmain(int ac, char *av[]);
extern int	cci2ucamain(int ac, char *av[]);
extern int	cmpumain(int ac, char *av[]);
extern int	compucamain(int ac, char *av[]);
extern int	correlmain(int ac, char *av[]);
extern int	crossumain(int ac, char *av[]);
extern int	cutcenmain(int ac, char *av[]);
extern int	cutclosemain(int ac, char *av[]);
extern int	cutweakmain(int ac, char *av[]);
extern int	cvtcadmain(int ac, char *av[]);
extern int	cvtucamain(int ac, char *av[]);
extern int	darksubmain(int ac, char *av[]);
extern int	dihistmain(int ac, char *av[]);
extern int	ecalmain(int ac, char *av[]);
extern int	editimagemain(int ac, char *av[]);
extern int	expandmumain(int ac, char *av[]);
extern int	expungemain(int ac, char *av[]);
extern int	fliprmain(int ac, char *av[]);
extern int	histomain(int ac, char *av[]);
extern int	ifiltermain(int ac, char *av[]);
extern int	matcomparmain(int ac, char *av[]);
extern int	mergesmain(int ac, char *av[]);
extern int	mergeumain(int ac, char *av[]);
extern int	missimain(int ac, char *av[]);
extern int	moducamain(int ac, char *av[]);
extern int	mu2fmtmain(int ac, char *av[]);
extern int	mubijmain(int ac, char *av[]);
extern int	multmain(int ac, char *av[]);
extern int	multimagemain(int ac, char *av[]);
extern int	multiobs(int ac, char *av[]);
extern int	p4pconvertmain(int ac, char *av[]);
extern int	predtourfmain(int ac, char *av[]);
extern int	raw2urfmain(int ac, char *av[]);
extern int	rescmrmain(int ac, char *av[]);
extern int	revfmain(int ac, char *av[]);
extern int	scaleumain(int ac, char *av[]);
extern int	sie2umain(int ac, char *av[]);
extern int	spacormain(int ac, char *av[]);
extern int	splcvtmain(int ac, char *av[]);
extern int	splitcmain(int ac, char *av[]);
extern int	spreaducamain(int argc, char *argv[]);
extern int	tinvmain(int argc, char *argv[]);
extern int 	tnamemain(int argc, char *argv[]);
extern int	tpolymain(int argc, char *argv[]);
extern int	tsplinemain(int argc, char *argv[]);
extern int	trefmain(int ac, char *av[]);
extern int	uca2cmain(int ac, char *av[]);
extern int	uconvertmain(int ac, char *av[]);
extern int	urf2dmain(int ac, char *av[]);

int main(int argc, char *argv[])
{ /* The mainline for xgen tools */
	static char	*xgtverbs[] = {
	"absorder", "bhead", "bigsig", "binuca", "cci2u",
	"cmpu", "compuc", "correl", "crossu", "cutcen",
	"cutclose", "cutweak", "cvtcad", "cvtuca", "darksub",
	"dih", "dobravais", "edcal", "edimage", "expandmu",
	"expun", "flipr", "histo", "ifilt", "matcomp",
	"mergeshift", "mergeuc", "mimage", "missi", "moduc",
	"mubij2fmt", "mukb2fmt", "multi", "p4pconvert", "pred2u",
	"raw2u", "rescale", "revf", "s2u", "scaleu", "spacor",
	"splcvt", "splitc", "spreaduca", "tinv", "tname",
	"tpoly", "tref", "tspline", "u2d", "uca2c", "uconvert",
	NULL };
	static int	(*xgtapps[])(int ac, char *av[]) = {
	 absordmain, bruheadmain, bigsigmain, binucamain, cci2ucamain,
	 cmpumain, compucamain, correlmain, crossumain, cutcenmain,
	 cutclosemain, cutweakmain, cvtcadmain, cvtucamain, darksubmain,
	 dihistmain, bravaismain, ecalmain, editimagemain, expandmumain,
	 expungemain, fliprmain, histomain, ifiltermain, matcomparmain,
	 mergesmain, mergeumain, multimagemain, missimain, moducamain,
	 mubijmain, mu2fmtmain, multmain, p4pconvertmain, predtourfmain,
	 raw2urfmain, rescmrmain, revfmain, sie2umain, scaleumain, spacormain,
	 splcvtmain, splitcmain, spreaducamain, tinvmain, tnamemain,
	 tpolymain, trefmain, tsplinemain, urf2dmain, uca2cmain, uconvertmain };

	exit (xgcomargs(argc, argv, xgtverbs, xgtapps));
}

/* end of xgentools.c */
