/* motifstub.c -- stubs for Motif applications for non-Motif environments

	Copyright (c) 2002, Illinois Institute of Technology
	X-GEN: Crystallographic Data Processing Software
	author: Andrew J Howard, BCPS Department, IIT
 See the file "LICENSE" for information on usage and redistribution
	of this file, and for a DISCLAIMER OF ALL WARRANTIES.

Change record:
	 3 Oct 2006: initial code, based trivially on utilities/mrefutil.c

   Purpose: providing harmless stubs for pmotif and pdisplay
	in non-Motif environments.
   Cross references: all sources in ../motif

*************************************************************************/
#include	"xgen.h"

extern int	dispcmain(int argc, char *argv[]);
extern int	pmmain(int argc, char *argv[]);

int dispcmain(int argc, char *argv[])
{ /* Mainline for pdisplay stub */

	printf(
	 "\nMotif unavailable on this system, so pdisplay can't run; sorry.\n");
	return 0;
}

int pmmain(int argc, char *argv[])
{ /* Mainline for pmotif stub */

	printf(
	 "\nMotif unavailable on this system, so pmotif can't run; sorry.\n");
	return 0;
}

/* end of motifstub.c */
