/* xgen.c -- wrapper for the entire X-GEN package

	Copyright (c) 2002, Illinois Institute of Technology
	X-GEN: Crystallographic Data Processing Software
	author: Andrew J Howard, BCPS Department, IIT
 See the file "LICENSE" for information on usage and redistribution
	of this file, and for a DISCLAIMER OF ALL WARRANTIES.

Change record:
	14 Feb 2007: add bestg, matrix functionality
	12 Dec 2006: add addcen functionality
	 8 Dec 2006: add scatomu functionality; remove a dead routine from list
	22 Apr 2006: add editmar to the list
	 7 Nov 2005: move static globals inside the mainline
	24 May 2005: reordered the routines so that they're easier to read
	27 Apr 2005: new code.

   Purpose: mainline for xgen.
   Cross references: everything
*************************************************************************/
#include	"xgen.h"

	/* X-GEN top-level routines */
extern int		addcmain(int argc, char *argv[]);
extern int		analmrmain(int ac, char *av[]);
extern int		analumain(int ac, char *av[]);
extern int		applycmain(int ac, char *av[]);
extern int		bestgmain(int ac, char *av[]);
extern int		bordmain(int ac, char *av[]);
extern int		calibmain(int ac, char *av[]);
extern int		cenmmain(int ac, char *av[]);
extern int		cleanmmain(int ac, char *av[]);
extern int		cutoffmain(int ac, char *av[]);
extern int		dispcmain(int ac, char *av[]);
extern int		ebordmain(int ac, char *av[]);
extern int		edcenmain(int ac, char *av[]);
extern int		editmarmain(int ac, char *av[]);
extern int		ewmmain(int ac, char *av[]);
extern int		filtercmain(int ac, char *av[]);
extern int		filterurfmain(int ac, char *av[]);
extern int		imformatmain(int ac, char *av[]);
extern int		integmain(int ac, char *av[]);
extern int		makemumain(int ac, char *av[]);
extern int		marccd_hmain(int ac, char *av[]);
extern int		matrmain(int ac, char *av[]);
extern int		mergefmmain(int ac, char *av[]);
extern int		mergemmain(int ac, char *av[]);
extern int		mrmmain(int ac, char *av[]);
extern int		mukbmain(int ac, char *av[]);
extern int		mutoshelmain(int ac, char *av[]);
extern int		pickumain(int ac, char *av[]);
extern int		pmmain(int ac, char *av[]);
extern int		praxmain(int ac, char *av[]);
extern int		qecormain(int ac, char *av[]);
extern int		reducemain(int ac, char *av[]);
extern int		ref1main(int ac, char *av[]);
extern int		refallmain(int ac, char *av[]);
extern int		refmain(int ac, char *av[]);
extern int		rejmain(int ac, char *av[]);
extern int		scmain(int ac, char *av[]);
extern int 		sca2mumain(int ac, char *av[]);
extern int		scalemmain(int ac, char *av[]);
extern int		setupmain(int ac, char *av[]);
extern int		spacegmain(int ac, char *av[]);
extern int		spotmain(int ac, char *av[]);
extern int		statmain(int ac, char *av[]);
extern int		stratmain(int ac, char *av[]);
extern int		untwinmain(int ac, char *av[]);
extern int		utoshelmain(int ac, char *av[]);
extern int		x2urfmain(int ac, char *av[]);
extern int		xdumpmain(int ac, char *av[]);
extern int		xgnowmain(int ac, char *av[]);
extern int		showheadmain(int ac, char *av[]);
extern int		predmain(int ac, char *av[]);
extern int		reindmumain(int ac, char *av[]);
extern int		reindumain(int ac, char *av[]);

int main(int argc, char *argv[])
{ /*	This is the ultra-simple main-line for the X-GEN executable. */
	static char	*xgverbs[] = {
	 "addcen", "anal_u", "analmr", "applycor", "bestg",
	 "border", "calibrate", "cenmer", "cleanm", "cutoff",
	 "editbord", "editcen", "editmar", "ewmask", "filterc",
	 "filteru", "imageform", "integrate", "makemu",
	 "marccdh", "matrix", "mergefm", "mermask", "mrmerge",
	 "mukb", "mutos", "pdisplay", "pickuref",
	 "pmotif", "prax", "qec", "reduce",
	 "refall", "refine", "refine1", "reject",
	 "scalek", "scalem", "scatomu", "setup", "spaceg",
	 "spots", "stats", "strategy", "untwinit",
	 "utos", "x2u", "xdump", "xgnow",
	 "showhead", "predict", "reindmu", "reindu",
	 NULL } ;

	static int	(*xgprimary[])(int ac, char *av[]) = {
	addcmain, analumain, analmrmain, applycmain, bestgmain,
	bordmain, calibmain, cenmmain, cleanmmain, cutoffmain,
	ebordmain, edcenmain, editmarmain, ewmmain, filtercmain,
	filterurfmain, imformatmain, integmain, makemumain,
	marccd_hmain, matrmain, mergefmmain, mergemmain, mrmmain,
	mukbmain, mutoshelmain, dispcmain, pickumain,
	pmmain, praxmain, qecormain, reducemain,
	refallmain, refmain, ref1main, rejmain,
	scmain, scalemmain, sca2mumain, setupmain, spacegmain,
	spotmain, statmain, stratmain, untwinmain,
	utoshelmain, x2urfmain, xdumpmain, xgnowmain,
	showheadmain, predmain, reindmumain, reindumain } ;

	exit (xgcomargs(argc, argv, xgverbs, xgprimary));
}

/* end of xgen.c */
